Bug 925630 - kexec-tools: support for arm64
Summary: kexec-tools: support for arm64
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kexec-tools   
(Show other bugs)
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pingfan Liu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64 1387950
TreeView+ depends on / blocked
 
Reported: 2013-03-23 00:50 UTC by Dennis Gilmore
Modified: 2016-10-31 07:36 UTC (History)
8 users (show)

Fixed In Version: kexec-tools-2.0.13-7.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1387950 (view as bug list)
Environment:
Last Closed: 2016-10-31 07:36:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream (v5 patch set) support for kexec (49.16 KB, patch)
2016-09-19 08:04 UTC, Peter Robinson
no flags Details | Diff

Description Dennis Gilmore 2013-03-23 00:50:24 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  kexec-tools appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/kexec-tools/kexec-tools-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Jan Kurik 2015-07-15 14:49:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Peter Robinson 2016-07-21 03:12:07 UTC
For reference the patches have now been posted upstream for review:

kexec-tools: http://www.spinics.net/lists/arm-kernel/msg519421.html
kernel support: http://www.spinics.net/lists/arm-kernel/msg513743.html

Comment 4 Jan Kurik 2016-07-26 04:54:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 5 Peter Robinson 2016-07-28 06:44:27 UTC
Kernel support for kexec and kprobes has landed upstream in the 4.8 kernel

Comment 6 Peter Robinson 2016-09-19 08:04 UTC
Created attachment 1202337 [details]
Upstream (v5 patch set) support for kexec

Initial kexec-tools aarch64 support for Fedora.

koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15703232

Comment 7 Peter Robinson 2016-10-19 09:43:04 UTC
Any comments or can I push this?

Comment 8 Dave Young 2016-10-20 01:25:48 UTC
Hi, Peter,

kexec has been upstreamed, but kdump is not yet. I usually rebase new kexec-tools after upstream kexec-tools bumps a new version. So it means we will have it after a rebase.

Simon, the upstream kexec-tools maintainer will release a new version roughly match mainline kernel release schedule.

Do you want the backport now? Or can we wait for next rebase.

Please let us know, if you think it is urgent, either you or Pratyush can post the backport patches to Fedora kexec list, we can merge them after passing patch review.

Thanks
Dave

Comment 9 Peter Robinson 2016-10-20 08:35:42 UTC
(In reply to Dave Young from comment #8)
> Hi, Peter,
> 
> kexec has been upstreamed, but kdump is not yet. I usually rebase new
> kexec-tools after upstream kexec-tools bumps a new version. So it means we
> will have it after a rebase.
> 
> Simon, the upstream kexec-tools maintainer will release a new version
> roughly match mainline kernel release schedule.
> 
> Do you want the backport now? Or can we wait for next rebase.
> 
> Please let us know, if you think it is urgent, either you or Pratyush can
> post the backport patches to Fedora kexec list, we can merge them after
> passing patch review.

I would dearly love to land this in Fedora 25 for GA which freezes on Nov 1st [1] and get it enabled in anaconda (so we'd need to co-ordinate a build there).

I'm not sure if anaconda uses the kdump side of the functionality although I've not looked closed hence only adding the kexec bits in that patch (I did vaguely look at the kdump side of things).

The bits actually used by the installer are the more interesting bits for the GA release because we don't respin post GA where as other functionality can go out as a standard update process.

[1] https://fedoraproject.org/wiki/Releases/25/Schedule

Comment 10 Dave Young 2016-10-20 09:06:15 UTC
Peter,

So, could you please post the backports to Fedora kexec list after review I can hopefully merge and build it before f25 freeze..

Thanks
Dave

Comment 11 Peter Robinson 2016-10-20 09:25:43 UTC
> So, could you please post the backports to Fedora kexec list after review I
> can hopefully merge and build it before f25 freeze..

It's attached to this BZ. If it really must be posted by me to the list please provide a link to the list

Comment 12 Dave Young 2016-10-23 10:09:33 UTC
(In reply to Peter Robinson from comment #11)
> > So, could you please post the backports to Fedora kexec list after review I
> > can hopefully merge and build it before f25 freeze..
> 
> It's attached to this BZ. If it really must be posted by me to the list
> please provide a link to the list

Yes, please, we need review the patches and do some test.

Comment 13 Dave Young 2016-10-24 01:44:31 UTC
FYI, the kexec list is below:

kexec@lists.fedoraproject.org

Comment 14 Pingfan Liu 2016-10-24 07:39:23 UTC
Hi Peter,

The patch "v5-2-3-arm64-Add-arm64-kexec-support.patch" is quite different from the upstream commit 522df5. Can I use the patch from upstream instead?

Thx,
Pingfan

Comment 15 Peter Robinson 2016-10-24 08:18:43 UTC
> The patch "v5-2-3-arm64-Add-arm64-kexec-support.patch" is quite different
> from the upstream commit 522df5. Can I use the patch from upstream instead?

It was v5 of the upstream patch, feel free to use whichever you prefer as you're the maintainers. I just put together a patch to start things moving forward.

Comment 16 Dave Young 2016-10-25 01:29:48 UTC
Since Pingfan will send the patch, reassigned to him, Pratyush can help review the patch.

Comment 17 Dave Young 2016-10-25 06:43:36 UTC
Peter, suppose we can merge it Wednesday. I assume we just create a build, make a F25 update, but first an update will be in updates-testing then in stable, how can we ensuer it being in F25 compose?

Comment 18 Peter Robinson 2016-10-25 13:27:25 UTC
(In reply to Dave Young from comment #17)
> Peter, suppose we can merge it Wednesday. I assume we just create a build,
> make a F25 update, but first an update will be in updates-testing then in
> stable, how can we ensuer it being in F25 compose?

It just needs to be stable (f25) by Monday for freeze. Once it's on it's way to testing I'll submit a PR for the anaconda side of things. Current window to get things stable is 3 days so it should be fine.

Comment 19 Dave Young 2016-10-26 07:43:30 UTC
Here is the update, Peter, please help on submitting a PR so that we can get it in F25.
https://bodhi.fedoraproject.org/updates/kexec-tools-2.0.13-6.fc25

Thanks
Dave

Comment 20 Peter Robinson 2016-10-26 08:52:22 UTC
(In reply to Dave Young from comment #19)
> Here is the update, Peter, please help on submitting a PR so that we can get
> it in F25.

PR on what?

Comment 21 Dave Young 2016-10-26 09:05:31 UTC
(In reply to Peter Robinson from comment #20)
> (In reply to Dave Young from comment #19)
> > Here is the update, Peter, please help on submitting a PR so that we can get
> > it in F25.
> 
> PR on what?

Hmm, according to comment #18 you would like to open a PR for the anaconda side of thing, I'm not sure what is it though.

Comment 22 Dave Young 2016-10-26 09:06:09 UTC
(In reply to Dave Young from comment #21)
> (In reply to Peter Robinson from comment #20)
> > (In reply to Dave Young from comment #19)
> > > Here is the update, Peter, please help on submitting a PR so that we can get
> > > it in F25.
> > 
> > PR on what?
> 
> Hmm, according to comment #18 you would like to open a PR for the anaconda
> side of thing, I'm not sure what is it though.

And that has nothing to do with this bug? If so, just ignore the comment..

Comment 23 Peter Robinson 2016-10-26 12:38:57 UTC
Any reason it wasn't built for F-26 too? For anaconda they'll want to land it into rawhide too and ATM it'll break the compose/install on rawide so people will scream.

Comment 24 Fedora Update System 2016-10-26 20:32:22 UTC
kexec-tools-2.0.13-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a0e28b12e

Comment 25 Dave Young 2016-10-27 02:18:56 UTC
(In reply to Peter Robinson from comment #23)
> Any reason it wasn't built for F-26 too? For anaconda they'll want to land
> it into rawhide too and ATM it'll break the compose/install on rawide so
> people will scream.

I planned to do it later this week or early next week since it is not urgent.

Comment 26 Dave Young 2016-10-27 07:12:07 UTC
Updated the update with a fix to previous patches, here is the new one:
https://bodhi.fedoraproject.org/updates/kexec-tools-2.0.13-7.fc25

BTW, I also added the patches to rawhide.

Comment 27 Fedora Update System 2016-10-28 14:55:04 UTC
kexec-tools-2.0.13-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a0e28b12e

Comment 28 Fedora Update System 2016-10-31 07:36:48 UTC
kexec-tools-2.0.13-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.